List Preflight Detected Assets
GET/targets/:target_id/pre-scan-configuration/assets/
Log requests and log last_access
Request
Path Parameters
target_id stringrequired
Query Parameters
ignored boolean
Filter by ignored status. If true, return only ignored assets. If false, return only non-ignored assets.
length integer
Number of results to return per page.
ordering string
Which field to use when ordering the results.
page integer
A page number within the paginated result set.
search string
A search term.
Responses
- 200
- 401
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
count integer
Total number of results.
page_total integer
Total number of pages.
page integer
Number of the current page.
The first page is 1.
Defaults to 1 if no specific page is requested.
length integer
Number of results returned per page.
results
object[]
id stringrequired
A unique Base58 value identifying this object.
host urirequired
Host of the detected asset.
ignored boolean
Whether the detected asset is ignored.
{
"count": 6,
"page_total": 1,
"page": 1,
"length": 10,
"results": [
{
"id": "string",
"host": "string",
"ignored": true
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Unexpected error while handling your request."
}
Loading...